## starpu-contrib 1.2.6+dfsg

=== debian/changelog ===
starpu-contrib (1.2.6+dfsg-6ubuntu1) disco; urgency=medium

  * Build with CUDA 10.1 and GCC 8

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Mar 2019 17:54:31 +0000

starpu-contrib (1.2.6+dfsg-6build1) disco; urgency=medium

  * No-change rebuild against CUDA 10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 21 Feb 2019 17:30:20 +0000

starpu-contrib (1.2.6+dfsg-6) unstable; urgency=medium

  * patches/doc-nopdf: Disable building pdf version of doxygen documentation
    (Closes: Bug#921301, Bug#921766).
  * rules: Fix docdir.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Feb 2019 19:57:23 +0200

starpu-contrib (1.2.6+dfsg-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Build with CUDA 9.2 and GCC 7.  (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jan 2019 17:52:08 +0100

starpu-contrib (1.2.6+dfsg-4) unstable; urgency=medium

  * debian/rules: Trick nvcc into compiling with g++ 8.
  * debian/control: Do not build-depend on gcc-6 (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:48:57 +0100

starpu-contrib (1.2.6+dfsg-3) unstable; urgency=medium

  * Upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Nov 2018 14:03:31 +0100

starpu-contrib (1.2.6+dfsg-2) unstable; urgency=medium

  * Use upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 01:37:12 +0100

starpu-contrib (1.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Sep 2018 12:24:09 +0200

starpu-contrib (1.2.5+dfsg-2) unstable; urgency=medium

  * rules: Sed all changelog entries into starpu-contrib instead of just the
    first, to fix version tracking.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Sep 2018 21:03:09 +0200

starpu-contrib (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.2-4 to libstarpu-1.2-5 due to soname bump.
  * Bump Standards-Version to 4.2.0 (no changes).
  * tests: Add autopkgtest.
  * control: Mark most packages Multi-Arch: same.
  * info: Remove starpu.info, not built any more by upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Sep 2018 11:53:26 +0200

starpu-contrib (1.2.3+dfsg-4) unstable; urgency=medium

  * control: Make -contrib packages provide -any virtual packages, so that
    packages in main can depend on main | -any and thus get apt avoid
    installing contrib and non-free packages unexpectedly (Closes: Bug#884309)
  * control: Deactivate guile dependency, which was only used for plugin tests
    (Closes: Bug#885230, Bug#885234)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:57:08 +0100

starpu-contrib (1.2.3+dfsg-3) unstable; urgency=medium

  * Apply upstream fix for macro test.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 15:10:40 +0100

starpu-contrib (1.2.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 13:12:57 +0100

starpu-contrib (1.2.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-2 to libstarpu-1.2-3 and libstarpumpi-1.2-1 to
    libstarpumpi-1.2-2 according to soname bumps.
    - patches/qt5: Refresh.
    - patches/doc: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 18:32:51 +0100

starpu-contrib (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-0 to libstarpu-1.2-2 and libstarpumpi-1.2-0 to
    libstarpumpi-1.2-1 according to soname bumps.
    - patches/cnf: Remove, merged upstream.
    - patches/examples: Remove, merged upstream.
    - patches/nvcc_noccbin: Remove, merged upstream.
    - patches/doc: Add from upstream to ship doc source.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Depend on gfortran (Closes: Bug#877028)
  * rules: Use NVCC_CC instead of setting -ccbin in NVCCFLAGS.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:05:59 +0100

starpu-contrib (1.2.0+dfsg-5) unstable; urgency=medium

  * Update source repository URL to git.
  * patches/reproducibility: Fix reproducibility.
  * rules: Support DEB_BUILD_OPTIONS nodoc tag.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.
  * patches/qt5: Upstream fixes for qt5.
  * control: Replace qt4 dependencies with qt5.
  * rules: Make sure qt5 gets detected (Closes: Bug#875196)
  * control: Replace qwt5 dependencies with qwt6.
  * rules: upgrade to libqwt 6.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Aug 2017 19:39:36 +0200

starpu-contrib (1.2.0+dfsg-2) unstable; urgency=medium

  * debian/rules: Also set FC to set gfortran version.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 22:49:22 +0200

starpu-contrib (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix final soname version.
    - Drop the documentation that we already generate from the tarball.
    - patches/openmp-valgrind: Remove, merged upstream
    - patches/examples: backport upstream fix to properly build some examples.
    - copyright: Use BSD-uthash licence name for uthash.h, since it is a
      modified BSD licence (Only the first item is kept, about keeping notices
      in source code redistribution)
    - copyright: Move standard licence texts to the end of the file.
    - copyright: Label the CL headers as Expat licence since that's it.
  * Downgrade opencl-headers build-dep to opencl-c-headers.
    (Closes: Bug#837911).
  * Build starpu-contrib on non-amd64 too (Closes: Bug#840559).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2016 13:50:02 +0200

starpu-contrib (1.2.0~rc2+dfsg-2) experimental; urgency=medium

  * Fix libsocl conflicting package names (Closes: Bug#779599).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 16:29:49 +0200


