## starpu-contrib 1.3.2+dfsg

=== debian/changelog ===
starpu-contrib (1.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 14:35:16 +0200

starpu-contrib (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-0 to libstarpu-1.3-1 according to SONAME bump.
    - patches/relax-gcc-plugin: Remove.
    - patches/qt5: Remove.
    - patches/heat-opengl: Merged.
    - patches/refman: Merged.
  * Add libhdf5-dev build-dep.
  * Make starpu-tools recommends python3 for starpu_mpi_comm_matrix.
  * rules: Drop now-useless V definition.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 16:50:29 +0200

starpu-contrib (1.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to soname bump.
    - patches/reproducibility: Merged upstream.
    - patches/refman: Add file missing in upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Feb 2019 15:39:07 +0200

starpu-contrib (1.2.6+dfsg-7) unstable; urgency=medium

  * rules: Properly pass -k to make check.
  * debian/patches/heat-opengl: Do not try opengl display without X display.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Feb 2019 11:03:38 +0100

starpu-contrib (1.2.6+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with CUDA 10.1 and GCC 8.  (Closes: #924014).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jul 2019 18:16:30 +0200
