=== debian/control ===
--- 
+++ 
@@ -14,18 +14,15 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libleveldb-dev,
-#	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
+	libhdf5-dev,
 	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev, gcc,
-#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev,
-	g++, gcc-8-plugin-dev,
-#	clang-5.0,
+#	gcc-8, g++-8, gfortran-8,
+#	clang-7,
 	help2man, doxygen, doxygen-latex,
-	nvidia-cuda-toolkit (>= 9.2),
+	nvidia-cuda-toolkit (>= 10.1),
 #Build-Conflicts: gcc-8, g++-8
 Standards-Version: 4.2.0
 Section: contrib/libs
@@ -36,7 +33,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.2-5 (= ${binary:Version}) | libstarpu-contrib-any-1.2-5, libstarpu-contribfft-1.2-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.2-0, libstarpu-contribmpi-1.2-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.2-3, libsocl-contrib-1.2-0 (= ${binary:Version}) | libsocl-contrib-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-1 (= ${binary:Version}) | libstarpu-contrib-any-1.3-1, libstarpu-contribfft-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-0, libstarpu-contribmpi-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-0, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -51,13 +48,13 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.2-5
+Package: libstarpu-contrib-1.3-1
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.2-5
-Provides: libstarpu-any-1.2-5
+Conflicts: libstarpu-1.3-1
+Provides: libstarpu-any-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -70,13 +67,13 @@
  This package contains the main StarPU library
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribfft-1.2-0
+Package: libstarpu-contribfft-1.3-0
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.2-0
-Provides: libstarpu-anyfft-1.2-0
+Conflicts: libstarpufft-1.3-0
+Provides: libstarpu-anyfft-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -89,13 +86,13 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.2-3
+Package: libstarpu-contribmpi-1.3-0
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.2-3
-Provides: libstarpu-anympi-1.2-3
+Conflicts: libstarpumpi-1.3-0
+Provides: libstarpu-anympi-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -114,6 +111,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-any-tools
+Recommends: python3
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -126,23 +124,6 @@
  This package contains StarPU tools.
  This "contrib" version is built against CUDA.
 
-#Package: starpu-contrib-top
-#Section: utils
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
-#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
-#Description: Task scheduler for heterogeneous multicore machines - top
-# StarPU is a runtime system that offers support for heterogeneous
-# multicore machines. While many efforts are devoted to design efficient
-# computation kernels for those architectures (e.g. to implement BLAS
-# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
-# offloading such kernels (and implementing data coherency across
-# the machine), but it also makes sure the kernels are executed as
-# efficiently as possible.
-# .
-# This package contains a graphical top tool.
-#
 Package: starpu-contrib-examples
 Section: contrib/science
 Architecture: any
@@ -162,13 +143,13 @@
  This package contains application examples.
  This "contrib" version is built against CUDA.
 
-Package: libsocl-contrib-1.2-0
+Package: libsocl-contrib-1.3-0
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-1.2-0
-Provides: libsocl-any-1.2-0
+Conflicts: libsocl-1.3-0
+Provides: libsocl-any-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
