=== debian/changelog ===
starpu-contrib (1.3.3+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:11 +0100

starpu-contrib (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-1 to libstarpu-1.3-2 according to soname bump.
    - Rename libstarpufft-1.3-0 to libstarpufft-1.3-1 according to soname bump.
    - Rename libstarpumpi-1.3-0 to libstarpumpi-1.3-1 according to soname bump.
    - patches/man: Upstreamed.
    - patches/flops-nan: Upstreamed.
    - patches/flops-incoherent: Upstreamed.
    - patches/git-fxt: New patch, fix big traces.
  * watch: Generalize pattern.
  * rules: Do not make showcheck in nocheck profile.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 14:52:39 +0100

starpu-contrib (1.3.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * libsocl-contrib-1.3-0.lintian-overrides,
    libstarpu-contrib-1.3-1.lintian-overrides,
    libstarpu-contribfft-1.3-0.lintian-overrides,
    libstarpu-contribmpi-1.3-0.lintian-overrides: Suppress warning.
  * patches/man: Add descriptions to NAME sections of manpages.
  * patches/flops-nan: Accept flops being nan, as set when flops computation
    is incoherent (Closes: Bug#939744).
  * patches/flops-incoherent: Fix detecting flops computation incoherency, and
    make it emit a warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Sep 2019 13:48:48 +0200

starpu-contrib (1.3.2+dfsg-3) unstable; urgency=medium

  * patches/no-schedulers-test: Avoid running schedulers.sh test, which is
    extremely long and breaks the build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:36:03 +0200
