=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	help2man, doxygen, doxygen-latex,
 	nvidia-cuda-toolkit (>= 10.1),
 #Build-Conflicts: gcc-8, g++-8
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
@@ -33,7 +33,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.3-1 (= ${binary:Version}) | libstarpu-contrib-any-1.3-1, libstarpu-contribfft-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-0, libstarpu-contribmpi-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-0, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-2 (= ${binary:Version}) | libstarpu-contrib-any-1.3-2, libstarpu-contribfft-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-1, libstarpu-contribmpi-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-1, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -48,13 +48,13 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.3-1
+Package: libstarpu-contrib-1.3-2
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.3-1
-Provides: libstarpu-any-1.3-1
+Conflicts: libstarpu-1.3-2
+Provides: libstarpu-any-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -67,13 +67,13 @@
  This package contains the main StarPU library
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribfft-1.3-0
+Package: libstarpu-contribfft-1.3-1
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.3-0
-Provides: libstarpu-anyfft-1.3-0
+Conflicts: libstarpufft-1.3-1
+Provides: libstarpu-anyfft-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -86,13 +86,13 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.3-0
+Package: libstarpu-contribmpi-1.3-1
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.3-0
-Provides: libstarpu-anympi-1.3-0
+Conflicts: libstarpumpi-1.3-1
+Provides: libstarpu-anympi-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
